$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "conjur-asset-deployment-version"

files = if ENV['API_ONLY']
  exclude_dirs = [ "Gemfile", ".project", ".rvmrc", "lib/conjur/asset", "config", "db", "features", "spec", "app" ]
  `git ls-files`.split("\n").select do |f|
    exclude_dirs.find{|d| f.index(d) == 0}.nil?
  end.tap do |files|
    puts "Packaging #{files.join(" ")}"
  end
else
  `git ls-files`.split($/)
end

name = if ENV['API_ONLY']
  "conjur-asset-deployment-api"
else
  "conjur-asset-deployment"
end

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = name
  s.version     = Conjur::Asset::Deployment::VERSION
  s.authors     = ["Kevin Gilpin"]
  s.email       = ["kgilpin@gmail.com"]
  s.homepage    = "http://conjur.net"
  s.summary     = "Conjur asset plugin for server deployments."
  s.license     = "MIT"

  s.files = files

  s.add_dependency "conjur-api"
  
  s.add_development_dependency "authable"
  s.add_development_dependency "rails-api"
  s.add_development_dependency "talentbox-sequel-rails"
  s.add_development_dependency "pg"
  s.add_development_dependency "pg_random_id"
  s.add_development_dependency "sequel-attribute_callbacks"
  s.add_development_dependency "rspec-rails"
  s.add_development_dependency "cucumber-rails"
  s.add_development_dependency "spork"
  s.add_development_dependency "simplecov"
  s.add_development_dependency "webmock"
  s.add_development_dependency "json_spec"
  s.add_development_dependency "ci_reporter"
end
